Subject: Re: [[email-masked]: death]

From: [email-masked]
Date: Wed, 31 Mar 93 14:54:48 -0800

> > this rewrite rule should loop, but would get shut down due to the
> > number of loop invocations (i don't remember if i built in code to
> > give up on extreme numbers of rule invocations)
> 
> hmm, now that i think about it, this doesn't look like it's
> looping like you suggest (ie replace event -> replace event -> 
> replace event -> ...) the stack trace suggests that a single 
> invokation is going deep, like there's a loop in a structure
> somewhere that lispCopy is dying on.
> 
> not that i've looked at the code yet.
> --
>   Paul M. Aoki  |  CS Div., Dept. of EECS, UCB  |  [email-masked]
>                 |  Berkeley, CA 94720           |  ...!uunet!ucbvax!aoki

hmm... my guess is the recursive rule is causing it headaches.  I'd be
surprised if the problem being exhibited isn't the result of either
'event-qualifier' or 'recursive-rule'.  i think the trace is just a
symptom of something barfing because of the above.  but yeah, i agree
with you, i'd prefer to see a long trace of 'replace event....'.

later,
Adam

---

From: [email-masked]
Date: Wed, 31 Mar 93 14:54:48 -0800

later,
Adam